%define upstream_name    Convert-Color
%define upstream_version 0.11

%global __requires_exclude perl\\(Convert::Color::(HueBased|HueChromaBased)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A color value represented as red/green/blue in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::UtilsBy)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Number::Delta)
BuildArch:  noarch

%description
This module provides conversions between commonly used ways to express
colors. It provides conversions between color spaces such as RGB and HSV,
and it provides ways to look up colors by a name.

This class provides a base for subclasses which represent particular color
values in particular spaces. The base class provides methods to represent
the color in a few convenient forms, though subclasses may provide more
specific details for the space in question.

For more detail, read the documentation on these classes; namely:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1493588
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1266683
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1024363
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 931560
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 741185
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.110.0-4.mga5
+ Revision: 736278
- add exclude

* Tue Sep 30 2014 jquelin <jquelin> 0.110.0-3.mga5
+ Revision: 731987
- rpm 4.12 rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 684015
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Jun 04 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 632951
- update to 0.11

* Sun Feb 09 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 587232
- update to 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 526845
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 438929
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 106546
- update to 0.08

* Sat Jan 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 31811
- mageia rebuild
- imported package perl-Convert-Color

